Name:		ioquake3-gles-git
Version:	2759c83d81f5
Release:	alt1

Summary:	GLES port of ioquake3
License:	GPL
Group:		Games/Arcade
ExclusiveArch:	armh

URL:		http://ioquake3.org
Source: 	%name-%version.tar

BuildRequires: libmali-mcom02-devel libSDL-devel zlib-devel

%description
GLES port of ioquake3 which is open source project on base of
Quake 3 Arena by ID Software.

%prep
%setup

%build
%make_build DEFAULT_BASEDIR=%_gamesdatadir/ioquake3

%install
mkdir -p %buildroot%_gamesbindir
make copyfiles COPYDIR=%buildroot%_gamesdatadir/ioquake3 COPYBINDIR=%buildroot%_gamesbindir
install -p -D -m755 build/release-linux-arm/ioquake3-smp.arm %buildroot%_gamesbindir/ioquake3-smp.arm
ln -rs %buildroot%_gamesbindir/ioquake3-smp.arm %buildroot%_gamesbindir/ioquake3
install -p -D -m644 misc/setup/ioquake3.desktop %buildroot%_desktopdir/ioquake3.desktop
install -p -D -m644 misc/quake3.png %buildroot%_miconsdir/quake3.png

%post
echo "In order to actually play the game, you'll need pak-files from original game CD. Put them into
%_gamesdatadir/ioquake3/baseq3 or ~/.q3a/baseq3/"

%files
%_gamesdatadir/ioquake3
%_gamesbindir/*
%_desktopdir/ioquake3.desktop
%_miconsdir/quake3.png

%changelog
* Thu Jun 28 2018 RnD Center ELVEES <rnd-elvees@altlinux.org> 2759c83d81f5-alt1
Initial build for ALT
